## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > CrtConsoleChan

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_InitConsoleChannels — Install the console channels as standard channels

### SYNOPSIS

#include <tk.h>
Tk_InitConsoleChannels(interp)

### ARGUMENTS

Tcl_Interp *interp (in)
  Interpreter in which the console channels are created.

### DESCRIPTION

Tk_InitConsoleChannels is invoked to create a set of console channels and install them as the standard channels. All I/O on these channels will be discarded until Tk_CreateConsoleWindow is called to attach the console to a text widget.

This function is for use by shell applications based on Tk, like wish, on platforms which have no standard channels in graphical mode, like Win32.

The interp argument is the interpreter in which to create and install the console channels.

NOTE: If this function is used it has to be called before the first call to Tcl_RegisterChannel, directly, or indirectly through other channel functions. Because otherwise the standard channels will be already initialized to the system defaults, which will be nonsensical for the case Tk_InitConsoleChannels is for.

### SEE ALSO

console

### KEYWORDS

standard channels, console
Copyright © 2007 ActiveState Software Inc.